Subject: bug#7517: 24.0.50; repeated crash under Mac OS X

From: emacs user <[email-masked]>
Date: Fri, 31 Dec 2010 13:16:29 +0200

if I forward the message to gmail, I can read the hebrew characters:

--------- Forwarded message ----------
From: "עירד xx" <xxx> (I censored part of the name and the email)
Subject: שולח דואר אלקטרוני: IMG_0373, IMG_0436, IMG_0456, IMG_0545,
IMG_0575, IMG_0596, IMG_0636, IMG_0641, IMG_0744, IMG_0745, IMG_0906,
IMG_0925, IMG_1025, IMG_1038, IMG_1121
..על קצה המזלג

also,

 $ env | grep LANG
 $ env | grep LC_
LC_COLLATE=C
 $

On Fri, Dec 31, 2010 at 10:18 AM, Eli Zaretskii <[email-masked]> wrote:
>> Date: Fri, 31 Dec 2010 08:12:23 +0200
>> From: emacs user <[email-masked]>
>> Cc: [email-masked], [email-masked],
>>       Chong Yidong <[email-masked]>
>>
>> I forgot to include the first part of this:
>>
>> (gdb) fr 10
>> #10 0x000000010019fd3c in ns_set_name_as_filename (f=0x100b418e0) at nsfns.m:655
>> 655               [[view window] setTitle: str];
>> Current language:  auto; currently objective-c
>> (gdb) p name
>> $1 = 4802696161
>> (gdb) xstring
>> $2 = (struct Lisp_String *) 0x11e4353e0
>> "edit of \362\351\370\343 \351\345\342\341's note re: \371\345\354\347
>> \343\345\340\370 \340\354\367\350\370\345\360\351: IMG_0373, IMG_0436,
>> IMG_0456, IMG_0545, IMG_0575, IMG_0596, IMG_0636, IMG_0641, IMG_0744,
>> IMG_0745, IMG_0906, IMG_0925, IMG_1025, IMG_1038, IMG_1121"
>
> What was this supposed to say in Hebrew?  You said a few messages
> back that these were originally Hebrew characters; can you show the
> original Hebrew text of this?
>